/*
	LWCOLLADA, LightWawe plugin for COLLADA.
	Copyright (C) 2004 Yoshikuni Nomura
	If you want contact to me, please send a e-mail to mail@nomuraz.com .

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __LWSURFACECHUNK_H__
#define __LWSURFACECHUNK_H__

#include <string>
#include <vector>

#include "LWChunk.h"

class LWSurfaceChunk :public LWChunk{
public:
	struct COL12{
		float r, g, b;
		COL12(){};
		COL12( float r, float g, float b ){ this->r = r; this->g = g; this->b = b; };
	};

	struct SURFACECHUNKDATA{
		COL12 Color;
//		float Diffuse, Luminance, Specular, Reflectance, Transparency, Translucent;
//		float SpecularGlossiness;
//		float DiffuseSharpness;
//		float BumpIntensity;
//		unsigned short PolygonSidedness;
//		float SmoothingAngle;
//		unsigned short ReflectionOptions;
		// ? ReflectionMapImage;
//		float ReflectionMapImageSeamAngle;
//		float ReflectionBlurring;
//		float RefractiveIndex;
//		unsigned short TransparencyOptions;
		// ? RefractionMapImage
//		float RefractionBlurring;
//		float ColorHighlights;
//		float ColorFilter;
//		float AdditiveTransparency;
		// ? GlowEffect;
		// ? RenderOutlines
//		unsigned short AlphaMode;
//		float AlphaModeValue;
		// ? VertexColorMap;
//etc,etc...

		std::string UVMapName;
	};

public:
	void Create( SURFACECHUNKDATA Data );
};

#endif // __LWSURFACECHUNK_H__
